#include <bits/stdc++.h>
#define xx first
#define yy second
#define mp make_pair
#define pb push_back
#define ll long long
#define ios ios_base::sync_with_stdio(false); cin.tie(0)
using namespace std;
bool Trapez(pair<ll,ll>A,pair<ll,ll>B,pair<ll,ll>C,pair<ll,ll>D){
    ll a = abs(A.second-B.second)/abs(A.first-B.first);
    ll b = abs(C.second-D.second)/abs(C.first-D.first);
    ll c = abs(A.second-D.second)/abs(A.first-D.first);
    ll d = abs(C.second-B.second)/abs(C.first-B.first);
    if(a==b){
        if(sqrt(abs(A.first-B.first)+abs(A.second-B.second))==2*sqrt(abs(C.first-D.first)+abs(C.second-D.second))||2*sqrt(abs(A.first-B.first)+abs(A.second-B.second))==sqrt(abs(C.first-D.first)+abs(C.second-D.second)))return true;
    }
    if(c==d){
        if(sqrt(abs(A.first-D.first)+abs(A.second-D.second))==2*sqrt(abs(C.first-B.first)+abs(C.second-B.second))||2*sqrt(abs(A.first-D.first)+abs(A.second-D.second))==sqrt(abs(C.first-B.first)+abs(C.second-B.second)))return true;
    }
    return false;
}
int main()
{
    ios;
    ll N;
    cin>>N;
    vector<pair<ll,ll>> A(N);
    for(int i =0;i<N;i++){
        cin>>A[i].first>>A[i].second;
    }
    if(N==4){
        cout<<1;
        return 0;
    }
    else cout<<3;
    return 0;
}